#!/usr/bin/env python3
"""
   utils.configuration.from_file.py file for the c3 buttons.
   This is the super class used from the other classes that fetches configurations from a file.
"""
import sys
from abc import ABC, abstractmethod

### LOCAL
try:
    from .app_logger import set_logger_from_default
except ImportError as e:
    print("Unable to import 'setup_logger' from 'utils.app_logger.py' file at 'utils.configuration.from_file.py' file" )
    sys.exit(1)


class ConfigurationFromFile(ABC):
    """ TODO
    """

    def __init__(self, name: str, default_values: dict) -> None:

        self.default_values = default_values
        # self.logger = set_logger_from_default(name=__name__, values_default=self.default_values)
        self.logger = set_logger_from_default(name=name, values_default=self.default_values)

        self.path_config_file = None
        self.dict_values = {}

    @abstractmethod
    def get_values(self):
        pass
